package org.qtunes.daap;

import org.qtunes.web.*;
import java.io.*;
import java.util.*;

class HandlerNextItem extends AbstractHandler {

    Block handleDAAP(DaapServer daap, WebConnection con) throws IOException {
        if (con.getParameter("__path").endsWith("nextitem")) {
            daap.getPlayer().playNext();
        } else {
            daap.getPlayer().playPrevious();
        }
        con.sendResponseHeaders(204, -1);
        return null;
    }

}
