package org.qtunes.daap;

import org.qtunes.web.*;
import java.io.*;
import java.util.*;

class HandlerPlayStatusUpdate extends AbstractHandler {

    Block handleDAAP(DaapServer daap, WebConnection con) throws IOException {
        int waitingfor = Integer.parseInt(con.getParameter("revision-number"));
        Revision revision = daap.getPlayRevision();
        revision.waitUntilGreater(waitingfor);
        return HandlerGetProperty.handleGetProperties(new String[] {
            "dmcp.serverrevision",
            "dacp.playerstate",
            "dacp.shufflestate",
            "dacp.repeatstate",
            "dacp.volumecontrollable",
            "dacp.availableshufflestates",
            "dacp.availablerepeatstates",
            "dacp.nowplaying",
            "dacp.playingtime",
        }, Blocks.cmst, daap);
    }

}
